gr::dab::prune_vectors_impl Class Reference

`#include <prune_vectors_impl.h>`

Inheritance diagram for gr::dab::prune_vectors_impl:
[legend]

## Public Member Functions

| prune_vectors_impl (size_t itemsize, unsigned int length, unsigned int prune_start, unsigned int prune_end)
int | work (int noutput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Additional Inherited Members

Public Types inherited from gr::dab::prune_vectors
typedef std::shared_ptr< prune_vectors > | sptr
Static Public Member Functions inherited from gr::dab::prune_vectors
static sptr | make (size_t itemsize, unsigned int length, unsigned int prune_start, unsigned int prune_end)
| Return a shared_ptr to a new instance of dab::prune_vectors.

## Constructor & Destructor Documentation

## prune_vectors_impl()

gr::dab::prune_vectors_impl::prune_vectors_impl | ( | size_t | itemsize,
|  | unsigned int | length,
|  | unsigned int | prune_start,
|  | unsigned int | prune_end )

## Member Function Documentation

## work()

int gr::dab::prune_vectors_impl::work | ( | int | noutput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items )

The documentation for this class was generated from the following file:

- prune_vectors_impl.h